/*******************************************************************************
 * FoxThirdPersonCamera generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxThirdPersonCamera extends GameThirdPersonCamera;

var() protected editinline GameThirdPersonCameraMode HumanCameraMode;
var() protected class<GameThirdPersonCameraMode> HumanCameraModeDefaultClass;

function Init()
{
    super.Init();
    // End:0x36
    if(HumanCameraMode == none)
    {
        HumanCameraMode = CreateCameraMode(HumanCameraModeDefaultClass);
    }
    //return;    
}

function GameThirdPersonCameraMode FindBestCameraMode(Pawn P)
{
    // End:0x22
    if(FoxPawn_HardSuit(P) != none)
    {
        return ThirdPersonCamDefault;
    }
    return HumanCameraMode;
    //return ReturnValue;    
}

function OnBecomeActive(GameCameraBase OldCamera)
{
    super.OnBecomeActive(OldCamera);
    CurrentCamMode = none;
    //return;    
}

function OnBecomeInActive(GameCameraBase NewCamera)
{
    super(GameCameraBase).OnBecomeInActive(NewCamera);
    // End:0x43
    if(CurrentCamMode != none)
    {
        CurrentCamMode.OnBecomeInActive(none, none);
    }
    //return;    
}

defaultproperties
{
    HumanCameraModeDefaultClass=class'FoxThirdPersonCameraMode_HumanPawn'
    ThirdPersonCamDefaultClass=class'FoxThirdPersonCameraMode_HardSuit'
}